require 'pasta/dish'

module Pasta
  
  # Public: Instantiates a new Pasta::Dish object with text to be parsed.
  #
  # sauce - the text to be parsed
  #
  # Example:
  #
  #   Pasta.prepare 'some yummy text'
  #   # => #<Pasta::Dish:0x007ff232948938>
  #
  # Returns a Pasta::Dish
  def self.prepare(sauce)
    Pasta::Dish.new sauce
  end
end
