module Pasta
  module Ingredients
    
    CODEBLOCK = /\A( {4,}|\t)(.+?)(^\s{0,3}[\n\r]|\z)/m
    
    def codeblocks(text, html)     
      text.sub!(CODEBLOCK) do |match|
        require 'cgi'
        # clean the leading whitespace from the block and escape html
        new_text = $2
        new_text.gsub!(/^#{$1}/, '')
        new_text = CGI::escapeHTML new_text
        html << "<pre><code>#{new_text}</code></pre>\n\n"
        match = ''
      end
      [text, html]
    end 
  end
end