module Pasta
  module Ingredients
    
    EMPHASIS = /(?!\\)([*_]{1,2})(?!\s)(.+?)(?!\s)(?!\\)\1/
    
    def emphasis(text, html)
      html = text.gsub(EMPHASIS) do |match|
        tag = $1.length == 1 ? 'em' : 'strong'
        match = "<#{tag}>#{$2}</#{tag}>"
      end
      [text, html]
    end
  end
end