module Pasta
  module Ingredients
    
    SETEXT_HEADING = /\A(.+?)[\n\r]([=|-]+)([\n\r]|\z)/
   
    def setext_headings(text, html)    
      text.sub!(SETEXT_HEADING) do |match| 
        if grammars.key? :heading
          grammars[:heading].each do |rule|
            inner = send(rule, $1, '')
          end
        end
        level = ($2[0] == '=') ? 1 : 2
        html << "<h#{level}>#{$1}</h#{level}>\n" unless $1.nil?
        match = ''
      end    
      [text, html]
    end
  end
end