require 'pasta/version'
require 'pasta/error'

module Pasta
  module Recipes

    autoload :Base,     'pasta/recipes/base'      # The granddaddy of them all. All recipes should extend Base
    autoload :Gruber,   'pasta/recipes/gruber'    # The original but rarely the best
    autoload :Markdown, 'pasta/recipes/markdown'  # Markdown as per the http://www.w3.org/community/markdown/ spec
  
  end
end
    