module Pasta
  module Ingredients
              
    ATX_HEADING     = /\A(\#{1,6})(.+?)\#*($|\z)/
    
    def atx_headings(text, html)   
      text.sub!(ATX_HEADING) do |match| 
        inner = $2
        if grammars.key? :heading
          grammars[:heading].each do |rule|
            inner, text = send(rule, $2, '')
          end
        end
        html << "<h#{$1.length}>#{inner.strip}</h#{$1.length}>\n" unless $2.nil?
        match = ''
      end
      [text, html]
    end
    
  end
end