module Pasta
  module Ingredients
     
    AUTOMATIC_LINKS = /(?<!\]: )<(.+?):\/\/(.+?)>/
    
    def automatic_links(text, html)
      text.gsub!(AUTOMATIC_LINKS) do |match|
        url = "#{$1}://#{$2}"
        match = "<a href=\"#{url}\">#{url}</a>"
      end
      [text, html]
    end
  end
end